com.tibco.tibjms.admin

## Class JACIInfo

- java.lang.Object
- - com.tibco.tibjms.admin.JACIInfo

-     public class JACIInfo
      extends java.lang.Object

  This class represents a set of statistics about the JACI cache collected from the EMS server.

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static JACIInfo` | `from(javax.management.openmbean.CompositeData cd)` For Internal use only, may be removed or deprecated in future.
    `long` | `getHits()`
    `long` | `getMisses()`
    `long` | `getSize()`
    `long` | `getStaleHits()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getHits

          public long getHits()

      Returns:
        The number of JACI results retrieved from the cache since the last statistics reset.

    - #### getMisses

          public long getMisses()

      Returns:
        The number of JACI requests that were not fulfilled by the cache since the last statistics reset.

    - #### getSize

          public long getSize()

      Returns:
        The number of entries in the JACI cache.

    - #### getStaleHits

          public long getStaleHits()

      Returns:
        The number of times an entry in the JACI cache was found to be out of date.

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### from

          public static JACIInfo from(javax.management.openmbean.CompositeData cd)
                               throws java.lang.Exception

      For Internal use only, may be removed or deprecated in future.
      Returns:
        a JACIInfo object from CompositeData
      Throws:
        `java.lang.IllegalArgumentException` - if CompositeType does not match or if a null CompositeData is passed.
        `java.lang.Exception`

Copyright © Cloud Software Group, Inc. All rights reserved